<?
defined('BASEPATH') OR exit('No direct script access allowed');

class m_recommend_app extends CI_Model{

	// 생성자, 해당 모델이 생성될때 항상 실행되는 초기화작업
	function __construct(){
		parent::__construct();

        $this->load->database();
        $this->load->library('session');
	}


    #---------------------------------------------------------------------------
    # PURPOSE :	list
    # CREATE  :	2018-04-26
    #---------------------------------------------------------------------------
	function recommend_app_list($req_data){
        # request
        $offset                 = $req_data['offset'];
        $limit                  = $req_data['limit'];


        $this->db->where('is_direct', 'Y');
        $this->db->where('is_del', 'N');
        $this->db->from('recommend_app');
        $this->db->limit($limit, $offset);
        $this->db->order_by('display_sort',  'asc');
        $res = $this->db->get();

        $row = $res->result_array();
        return $row;
    }



}
?>
